package cz.muni.fi.pb112.overloading;

public class Singer {
    private String name;
    private String musicType;

    public Singer(String name, String musicType) {
        this.name = name;
        this.musicType = musicType;
    }

    // bezparametrická metóda Sing
    public void Sing() {
        System.out.println("1, 2, 3.... mic test!");
    }

    // metóda Sing s jedným parametrom typu String
    public void Sing(String songLyrics) {
        System.out.println(songLyrics);
    }

    // metóda Sing s jedným parametrom typu Song
    public void Sing(Song song) {
        System.out.println(song.getSongLyrics());
    }

    // metóda Sing s dvoma parametrami, jedným typu string a jedným typu int
    // parameter typu int určuje koľko krát sa má daný text piesne opakovať
    public void Sing(String lyrics, int repeat) {
        for (int i = 0; i < repeat; i++) {
            System.out.println(lyrics);
        }
    }

    /*
     * po odkomentovaní by kód nebolo možné skompilovať
     * zmena návratoveho typu nepostačuje na vytvorenie preťaženej metódy
     * názornú ukážku prečo to nie je možné nájdete v triede Demo
    public String Sing(Song song) {
        return song.getSongLyrics();
    }
    */

}
