package cz.muni.fi.pb112.override;

public class PersonWithOverride {
    private String name;
    private int age;

    public PersonWithOverride(String name, int age) {
        this.name = name;
        this.age = age;
    }

    // prekrývame metódu triedy Object
    // ak by ste skúsili zakomentovať anotáciu @Override, program napriek tomu v deme využije našu implementáciu metódy toString()
    // anotácia je informačná a zároveň nam pomáha v prípade že urobíme chybu
    @Override
    public String toString() {
        return "Person: " + name + ", " + age;
    }

    // tuto anotácia override nepatrí, pretože žiadna nadtrieda neobsahuje metódu sayHello
    // po odkomentovaní nasledujúceho riadku program nebude možne skompilovať
    //@Override
    public String sayHello() {
        return "Hello world from " + name;
    }
}
