package cz.muni.fi.pb112.immutable;

/**
 * Class Mountain je jednoduchá immutable trieda
 * Keďže názov hory a jej výška sa mení len veľmi zriedka použitie immutable triedy je ideálne
 */
public class Mountain {
    // atribúty sú zapúzdrené nejde k nim priamo pristúpiť
    private String name;
    private double height;

    // jediný konštruktor ktorý smieme použiť naplní oba atribúty hodnotami
    public Mountain(String name, double height) {
        this.name = name;
        this.height = height;
    }

    // hodnotu atribútov vieme získať pomocou getterov
    public String getName() {
        return name;
    }

    public double getHeight() {
        return height;
    }

    // settre nie sú prítomné, hodnotu atribútov nebude možné zmeniť
}
